
Figure - Bug #119011
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开一个全屏应用至于后台，进入多任务管理器选择小窗应用打开，重复操
作，出现异常显示，且卡住无法退出
2023-07-10 15:44 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-07-10

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0708DB

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

前提条件】

1、设备已开机

2、打开一个全屏应用至于后台

【测试步骤】

1、进入多任务管理器

2、选择小窗应用打开

3、重复以上步骤

【预期结果】

3、正常显示

【实际结果】

3、显示异常，且卡住无法退出（上划、左滑、右滑均无法退出，下划可以进入控制中心，一段时间后恢复正常）

【问题时间】0701-15：06

History

#1 - 2023-07-10 15:51 - CDTS_Test 吴诗雨

tlog已上传：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119011

#2 - 2023-07-10 16:06 - CDTS_Test 吴诗雨

- Description updated

#3 - 2023-07-10 16:07 - CDTS_Test 吴诗雨

- Description updated

#4 - 2023-07-26 15:20 - CD APP-王宏

07101506.txt:20191:07-10 15:05:28.594  2635  2635 D TouchInteractionService: onInputEvent: ACTION_DOWN: OtherActivityInputConsumer

07101506.txt:20640:07-10 15:05:29.001  2635  2635 D TouchInteractionService: onInputEvent: ACTION_UP/ACTION_CANCEL: ResetGestureInputConsumer
OtherActivityInputConsumer 未执行完毕就切换了consumer，接着调查

#5 - 2023-07-26 15:52 - CD APP-王宏

- Status changed from New to ASSIGNED

#6 - 2023-07-27 16:02 - CD APP-王宏

根据最近调查，问题出现时

OtherActivityInputConsumer

onInteractionGestureFinished()未执行，继续追查逻辑

AbsSwipeUpHandler

private void finishCurrentTransitionToRecents() {

        if (ENABLE_QUICKSTEP_LIVE_TILE.get()) {

            mStateCallback.setStateOnUiThread(STATE_CURRENT_TASK_FINISHED);

            if (mRecentsAnimationController != null) {

                mRecentsAnimationController.detachNavigationBarFromApp(true);

            }

        } else if (!hasTargets() || mRecentsAnimationController  null) {

            // If there are no targets or the animation not started, then there is nothing to finish

            mStateCallback.setStateOnUiThread(STATE_CURRENT_TASK_FINISHED);

        } else {

            mRecentsAnimationController.finish(true /* toRecents */,

                    () -> mStateCallback.setStateOnUiThread(STATE_CURRENT_TASK_FINISHED));///这个回调没执行

        }

        ActiveGestureLog.INSTANCE.addLog("finishRecentsAnimation", true);

    }

private void finishCurrentTransitionToHome() {

        if (!hasTargets() || mRecentsAnimationController  null) {

            // If there are no targets or the animation not started, then there is nothing to finish

            mStateCallback.setStateOnUiThread(STATE_CURRENT_TASK_FINISHED);

        } else {

            maybeFinishSwipePipToHome();

            finishRecentsControllerToHome(

                    () -> mStateCallback.setStateOnUiThread(STATE_CURRENT_TASK_FINISHED));///这个回调没执行

        }

        ActiveGestureLog.INSTANCE.addLog("finishRecentsAnimation", true);

        doLogGesture(HOME, mRecentsView == null ? null : mRecentsView.getCurrentPageTaskView());

    }

推测要么是这整个方法没执行，或者就只是回调未执行。

下一步：

手动复现，继续加日志调查

#7 - 2023-07-27 16:10 - CDTS_Test 吴诗雨

当前复现步骤：

1、打开一个强制小窗应用

2、打开设置

3、上划进入recent界面
4、点击设置

反复3、4步

#8 - 2023-07-28 18:40 - CD APP-王宏

//卡住之前的关键日志

07-28 15:16:49.470 10967 10967 D TouchInteractionService: onInputEvent: ACTION_UP/ACTION_CANCEL: OtherActivityInputConsumer

07-28 15:16:49.470 10967 10967 D AbsSwipeUpHandler: onGestureEnded.

07-28 15:16:49.470 10967 10967 D MultiStateCallback: [39666865] Adding [STATE_GESTURE_COMPLETED (512)] to [STATE_LAUNCHER_PRESENT,

STATE_LAUNCHER_STARTED, STATE_LAUNCHER_DRAWN, STATE_APP_CONTROLLER_RECEIVED, STATE_GESTURE_STARTED (143)]

07-28 15:16:49.470  1062  1187 I EventSequenceValidator: Transition from INTENT_FAILED to INTENT_STARTED

07-28 15:16:49.470 10967 10967 D MultiStateCallback: [231766765] Adding [STATE_END_TARGET_SET (1)] to [STATE_RECENTS_ANIMATION_INITIALIZED,

STATE_RECENTS_ANIMATION_STARTED, STATE_RECENTS_ANIMATION_FINISHED, STATE_RECENTS_ANIMATION_ENDED (108)]

07-28 15:16:49.470  1062  1203 D CompatibilityChangeReporter: Compat change id reported: 143937733; UID 10142; state: DISABLED

07-28 15:16:49.470 10967 10967 D OrientationTouchTransformer: clearing all regions except rotation: 0

07-28 15:16:49.470  1062  1187 I EventSequenceValidator: inc AccIntentStartedEvents to 1

07-28 15:16:49.470 10967 10967 W OrientationEventListener: Cannot detect sensors. Invalid disable

07-28 15:16:49.470 10967 10967 D MultiStateCallback: [231766765] Adding [STATE_RECENTS_SCROLLING_FINISHED (256)] to [STATE_END_TARGET_SET,

STATE_RECENTS_ANIMATION_INITIALIZED, STATE_RECENTS_ANIMATION_STARTED, STATE_RECENTS_ANIMATION_FINISHED,

STATE_RECENTS_ANIMATION_ENDED (109)]

07-28 15:16:49.470 10967 10967 D AbsSwipeUpHandler: animateToProgress: go to animateToProgressInternal, endTarget=HOME

07-28 15:16:49.471 10967 10967 D AbsSwipeUpHandler: Recents: action=com.android.quickstep.AbsSwipeUpHandler$$ExternalSyntheticLambda35@a285ef6

Callbacks=null

//下一个手势开始了

07-28 15:16:49.686 10967 10967 D TouchInteractionService: onInputEvent mUncheckedConsumer =

com.android.quickstep.inputconsumers.OverviewInputConsumer@91113d0

07-28 15:16:49.686 10967 10967 D OrientationTouchTransformer: touchInValidSwipeRegions 940.0,1069.0 in RectF(0.0, 1032.0, 2560.0, 1080.0) rotation: 0 this:

com.android.quickstep.OrientationTouchTransformer@2d02d62

07-28 15:16:49.686 10967 10967 D TouchInteractionService: onInputEvent:

isOneHandedModeActive=false,isInSwipeUpTouchRegion=true,isUserUnlocked=true,isFullyGesturalNavMode=true,canTriggerAssistantAction=false,canTriggerOneHa

ndedAction=false

07-28 15:16:49.686 10967 10967 D TouchInteractionService: onInputEvent: ACTION_DOWN: OverviewInputConsumer

#9 - 2023-08-03 17:18 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CD TEST-方永红

follow http://jira.human-horizons.com/browse/IOVDEV-36522

#10 - 2023-08-03 17:59 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

在jira上跟踪，内部票关闭。

#11 - 2023-08-24 15:56 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED
IOVDEV-36522 多个版本未复现已关闭

#12 - 2023-08-24 15:57 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

07101506.txt 4.42 MB 2023-07-10 CDTS_Test 吴诗雨

20230710-154242.jpg 70.9 KB 2023-07-10 CDTS_Test 吴诗雨
